×

Discussion Board

Page 2 of 2 FirstFirst 12
Results 16 to 22 of 22
  1. #16
    Nokia Developer Expert
    Join Date
    Aug 2007
    Posts
    1,595

    Re: The SDK could not locate a JRE

    Hello funkybro,

    which Series 40 SDK is affected by this issue? Series 40 5th Edition, FP1? Or some newer SDK?

    Regards,
    r2j7
    [URL="http://library.forum.nokia.com/java"][B] >>> Java Developer's Library <<<[/B][/URL]
    [URL="https://www.developer.nokia.com/Resources/Support/Technical_support.xhtml"] [B]>>> Technical Support for Java ME development <<<[/B][/URL]
    [URL="https://publish.ovi.com/info/"][B]>>> Nokia Publish: reach millions of Nokia users worldwide through Nokia Store <<<[/B][/URL]

  2. #17
    Registered User
    Join Date
    Dec 2011
    Posts
    7

    Re: The SDK could not locate a JRE

    I'm using Nokia Java SDK 1.0 on Windows 7 64 bit.

    Netbeans runs ok. It's the emulator.exe that wants JRE5.

    I have JDK7 installed and every other Java programm runs. And if I just type in the Windows command shell "java -version" I get correct informations. So JRE is installed correctly.

    But to download JRE5 needs an Oracle download account. What the hell?!

    Downloading JDK 6u29 without an account and the emulator started correctly. But doesn't run because of RMI port bug of JRE 6u29:
    http://www.developer.nokia.com/Commu...ry-port-number

    NOKIA, please update your developer tools so that they work with state of art environments!

  3. #18
    Registered User
    Join Date
    Dec 2011
    Posts
    7

    Re: The SDK could not locate a JRE

    OK, it seems that the emulator needs a 32 Bit JRE (i586). I have installed the 32 Bit variant of JRE 7 update 1 and now the emulator starts up.

    But there is still the RMI registry bug from JRE 6 update 29 in JRE 7.

    So I can't use sdk? Oracle is ridiculous!
    Last edited by amin.kh; 2011-12-06 at 21:08.

  4. #19
    Nokia Developer Expert
    Join Date
    Aug 2007
    Posts
    1,595

    Re: The SDK could not locate a JRE

    Hello amin.kh,

    until the bug will be fixed, the solution for the SDK is to use the previous version as you suggested on your #17 post . Unfortunately this is the status as of now.

    Regards,
    r2j7
    [URL="http://library.forum.nokia.com/java"][B] >>> Java Developer's Library <<<[/B][/URL]
    [URL="https://www.developer.nokia.com/Resources/Support/Technical_support.xhtml"] [B]>>> Technical Support for Java ME development <<<[/B][/URL]
    [URL="https://publish.ovi.com/info/"][B]>>> Nokia Publish: reach millions of Nokia users worldwide through Nokia Store <<<[/B][/URL]

  5. #20
    Registered User
    Join Date
    Dec 2011
    Posts
    7

    Re: The SDK could not locate a JRE

    Thank you! I am now using pre-JRE6u29. But need to attend to switch off the automatic JRE online update.
    Now I can work. :-)

  6. #21
    Registered User
    Join Date
    Nov 2013
    Posts
    2

    Re: The SDK could not locate a JRE

    those who are still strugling with this, you need to install 32-bit version of java sdk, and make sure that you set windows path again, go to cmd then type: set path=set path="C:\Program Files (x86)\Java\jdk1.7.0_17\bin";%path%

    you must do the above before you install the nokia SDK, otherwise the nokia sdk will use old path. if you already installed nokia sdk, uninstall it and install the the java sdk first.

    hope this helps.

    regards,
    johnson

  7. #22
    Registered User
    Join Date
    Nov 2013
    Posts
    2

    Re: The SDK could not locate a JRE

    Quote Originally Posted by joery_vn View Post
    i know it is an ald thread that i'm digging up here but i have that error too.
    I have been trying everything: copatibility mode, administrator, using JRE 5 instead of 6 but nothing seems to solve the problem.
    Also i have installed the JDK first followed by the Nokia series 40 NFC SDK and netbeans (in my case) last.

    Any help about solving this problem is more then welcome
    install the 32 bit version java sdk

Similar Threads

  1. MIDP applicatyion accessing a servlet not working in series 60 emulator
    By ferozekadamapuzha in forum Mobile Java General
    Replies: 11
    Last Post: 2008-05-07, 18:04
  2. Replies: 1
    Last Post: 2007-04-27, 13:29
  3. Building with another SDK in Carbide
    By fredgauchet in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2006-03-02, 11:29
  4. Installing the SDK with Borland C++Builder
    By hrajalin in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2003-10-31, 02:46
  5. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×